// Experimente zum Reflexionsgesetz im Raum - Aufgabe C
// A. Filler, 2003
// ---------------------------------------------------------------
#version 3.5;                        
background { color rgb <1, 1, 1> }   
global_settings {ambient_light color rgb <0,0,0>}
#declare intervall = 1 ;                         
#include "anageoL-ohneKam.inc"      
// Die Objekte "ortsvektor" und "verbindungsvektor" sind in der Datei 
// "anageoL-ohneKam.inc" definiert, die sich daher im selben Ordner 
// befinden muss wie diese POV-Ray-Datei.

// Eingabe der Kamerakoordinaten und der Koordinaten einer Lichtquelle
// ---------------------------------------------------------------
#declare kamerakoord = <0, 2, -6> ;
#declare lichtkoord = <-4, 5, 5> ;

// ---------------------------------------------------------------
// Definition der Kamera

// Die Kamera kann von ihren eigentlichen Koordinaten, mit denen
// der "Kameraeinheitsvektor" bestimmt wird entfernt werden,
// um dessen Pfeil sichtbar werden zu lassen 

camera { location  kamerakoord  //  + <3,1,0>
         angle 25
         look_at   <0, 1/3,  0>   }
// Lichtquelle
light_source { lichtkoord  color White } 
// Zustzliches schwaches "Kameralicht"
light_source { kamerakoord color rgb <0.4, 0.4, 0.4> }
// ---------------------------------------------------------------

//Eckpunkte des Dreiecks
// ---------------------------------------------------
#declare A = <1,1,-1>;
#declare B = <-1,0,2>;
#declare C = <0,0,-1>;

// Darstellung des Dreiecks
// ---------------------------------------------------
object  { triangle {A, B, C } 
texture{ silbergrau }
    }

// Schwerpunkt des Dreiecks  
// ---------------------------------------------------
#declare S = (A+B+C)/3;

// Darstellung des Schwerpunktes
// ---------------------------------------------------
punkt(S, silbergrau)


// Darstellung eines Normaleneinheitsvektors als Pfeil
// ---------------------------------------------------
verbindungsvektor (<0, 1/3, 0>, <0, 1/3, 0> + <-0.688, 0.688, -0.229> , blau_matt)
//oder  verbindungsvektor (<0, 1/3, 0>, <0, 1/3, 0> + <0.688, -0.688, 0.229> , blau_matt)



// "Kameraeinheitsvektor"
// ---------------------------------------------------
verbindungsvektor (S, S + vnormalize(kamerakoord-S) , rot_matt)



// "Lichtquelleneinheitsvektor" 
// ---------------------------------------------------
verbindungsvektor (S, S + vnormalize(lichtkoord-S) , gruen_matt)



// Kordinatensystem einblenden
//ks